<?php
/* Mantenimiento de los registros de la tabla SRV_UbicacionClienteH redefinidos por el usaurio */
class SRV_UbicacionClienteHDP extends BaseSRV_UbicacionClienteHDP
{
    public static function recuperarId()
    {
        $o_utilGenerateId = new utilGenerateId();
        $o_utilGenerateId->setIdCompania( myUser::getUser()->getIdBusiness() );
        $o_utilGenerateId->setTipoCorrelativo( "UBCLH" );
        $o_utilGenerateId->setSerie( "SRV" );
        $i_Id = $o_utilGenerateId->generateId();
        return $i_Id;
    }

    public static function marcarAlerta( $i_Id )
    {
        $o_SRV_UbicacionClienteHDP = new SRV_UbicacionClienteHDP();
        $o_SRV_UbicacionClienteHDP->setIdUbicacionClienteH( $i_Id );
        $o_SRV_UbicacionClienteHDP->setMostrarAlertaFlag( 1 );
        $o_SRV_UbicacionClienteHDP->setUsuarioModificacion( myUser::getUser()->getUserId() );
        $o_SRV_UbicacionClienteHDP->setFechaModificacion( date( "Y-m-d H:i:s" ) );
        $o_SRV_UbicacionClienteHDP->update();
    }
}
?>